Subject: Re: [PATCH] git-daemon: more powerful base-path/user-path settings, using formats.

From: Pierre Habouzit <[email-masked]>
Date: Thu, 24 Aug 2006 09:50:05 +0200

Le jeu 24 août 2006 02:17, Junio C Hamano a écrit :
> Pierre Habouzit <[email-masked]> writes:
> > Allow a form of virtualhosting, when %h format is used.
> >
> > Signed-off-by: Pierre Habouzit <[email-masked]>
> > ---
> >
> >     This is intended to be a more flexible solution, that also
> > gives virtual hosting as a bonus. I still see no way to deal with
> > older clients when virtual hosting is used by the admin though,
> > having a "default" hostname won't solve anything at all anyway.
>
> I mildly disagree about the last sentence.  Enabling virtual
> hosting does not have to mean all virtual hosts are treated
> equal.  It is conceivable that a site hosts the primary,
> "collection of public repositories everybody would want to go
> to" set, with supplemental ones for specific audiences that are
> done via virtual hosting.  General public who would want to
> access the primary one can come with older clients that way, and
> only the narrower audiences have to be told to upgrade.

hmm, yes, that's indeed fair. Well, adding a --default-hostname that is 
used if no host= is passed is completely obvious and straightforward 
and solves that issue.

I also spotted a bug in the git_path_fmt function, I test 'pos' at the 
end of the loop, but the overflow test is not done when there is no 
format involved, wich could /theorically/ lead to buffer overflow. So 
please disregard that issue, I will at least provide a patch that fixes 
that.

> Haven't looked at the rest of the patch yet.  Will comment
> later.
np, TIA

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org